Redmine - Defect #1288

Unable to past escaped wiki syntax in an issue description
2008-05-22 18:17 - Paul Rivier

Status: Closed Start date: 2008-05-22
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Resolution: Fixed Affected version:

Description

In issue #1287, | needed to print some textile syntaxe to give an example. | tried to use <pre> tag, but it does not escape some
syntax :

® <pre> itself
e [[links]] in brackets
e probably some more ...

Is there a way to have truely verbatim print of a section, in textile ?

Related issues:

Related to Redmine - Defect #5800: Problem with Redmine Links in a pre Closed 2010-07-01
Has duplicate Redmine - Defect #2602: <pre> tags create links instead of disp... Closed

Has duplicate Redmine - Defect #2642: Issue references are parsed in pre tags Closed 2009-02-02
Has duplicate Redmine - Defect #4271: Wiki links in <pre> should not interpreted Closed 2009-11-23
Has duplicate Redmine - Defect #4392: wiki style <pre> </pre> rendering Closed 2009-12-14

Associated revisions

Revision 3589 - 2010-03-15 20:54 - Jean-Philippe Lang

Do not parse redmine links inside pre/code tags (#1288).

History

#1 - 2008-06-01 03:24 - James Byrne

| do not think that this is a textile issue but rather the artifiact of an over-aggressive wiki processor.

#2 - 2008-06-18 12:30 - Paul Rivier
- Assignee set to Jean-Philippe Lang
After some more investigations, | now understand what is happening.

Textile syntax does not provide facilities required for Redmine internal references. That is why Jean Philippe needed to extend it to support references
to:

® wiki pages
e issues
® repository

The problem is in the way this extension is implemented, namely : successive text substitutions on top of the RedCloth processing.
| don't know how easy it would be to migrate this processing to an extension of the RedCloth processing, but | think it will be required sometime.

Any plan for that ?

#3 - 2009-02-21 00:43 - Jean-Philippe Lang

- Subject changed from Unable to past escaped textile syntax in an issue description to Unable to past escaped wiki syntax in an issue description

#4 - 2010-03-14 22:18 - Kamil .

+1
https://www.redmine.org/issues/1287

#5 - 2010-03-15 10:11 - Paul Rivier

- Affected version (unused) set to devel

actually, html rendering is a 2 stages operation in redmine. First, input is fed to plain textile engine RedCloth, then output is fed to redmine rules,
written in source:trunk/app/helpers/application_helper.rb. "pre" is only meaningful in stage 1, so redmine links can't be escaped that way. RedCloth
site says it provides facilities to extend the syntax : http:/redcloth.org/faq . Maybe that would solve this problem, if you feel like trying.

#6 - 2010-03-15 21:00 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

Fixed in r3589. The 2-pass rendering was preversed so we can still cache pass 1 (textile or any other text formatter).
